Merchant Users
Remove tags from merchant user
Removes one or more tag associations from a specific merchant user
DELETE
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
merchant-users
/
{user_id}
/
tags
Remove tags from merchant user
curl --request DELETE \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tag_ids": [
"<string>"
]
}
'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/tags"
payload = { "tag_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tag_ids: ['<string>']})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'tag_ids' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/tags"
payload := strings.NewReader("{\n \"tag_ids\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.enad.io/api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/tags")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tag_ids\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tag_ids\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"additions": {},
"address": {
"city": "<string>",
"country": "<string>",
"country_code": "<string>",
"street": "<string>",
"zip_code": "<string>"
},
"address_restrictions": [
{
"address_id": "<string>",
"formatted_address": "<string>",
"organisation_id": "<string>",
"organisation_name": "<string>",
"organisation_number": "<string>"
}
],
"app_id": "<string>",
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"comment": "<string>",
"communication_preferences": {
"allow_email": true,
"allow_postal": true,
"allow_sms": true
},
"created_at": "<string>",
"customer_groups": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
],
"email": "<string>",
"email_verification_sent_at": "<string>",
"email_verified": true,
"id": "<string>",
"is_super_admin": true,
"language": "<string>",
"market": "<string>",
"name": "<string>",
"organisations": [
{
"custom_role_id": "<string>",
"custom_role_name": "<string>",
"custom_role_slug": "<string>",
"id": "<string>",
"level": "<string>",
"name": "<string>",
"organisation_number": "<string>"
}
],
"phone_number": "<string>",
"status": "<string>",
"store_group": "<string>",
"surname": "<string>",
"tags": [
{
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"created_at": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"markets": [
{
"active": true,
"country_codes": [
"<string>"
],
"created_at": "<string>",
"currency_code": "<string>",
"id": "<string>",
"locale": "<string>",
"name": "<string>",
"slug": "<string>",
"updated_at": "<string>"
}
],
"name": "<string>",
"schedules": [
{
"add_category_names": [
"<string>"
],
"add_collection_names": [
"<string>"
],
"add_tag_names": [
"<string>"
],
"execute_at": "<string>",
"finished_at": "<string>",
"group_id": "<string>",
"id": "<string>",
"item_id": "<string>",
"item_name": "<string>",
"item_type": "<string>",
"remove_category_names": [
"<string>"
],
"remove_collection_names": [
"<string>"
],
"remove_tag_names": [
"<string>"
],
"to_amount_cents_with_tax": 123,
"to_market_id": "<string>",
"to_market_status": "<string>",
"to_on_sale": true,
"to_sale_amount_cents_with_tax": 123,
"to_start_sale_timestamp": "<string>",
"to_status": "<string>",
"to_stop_sale_timestamp": "<string>",
"to_store_group_id": "<string>"
}
],
"status": "<string>",
"translations": {
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>"
}
],
"third_party_sign_up": true,
"updated_at": "<string>"
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}Authorizations
Management API token, sent as Authorization: Bearer <token>.
Path Parameters
App slug
Team slug
Merchant user ID
Body
application/json
Tag IDs to remove
Minimum array length:
1⌘I
Remove tags from merchant user
curl --request DELETE \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tag_ids": [
"<string>"
]
}
'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/tags"
payload = { "tag_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tag_ids: ['<string>']})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'tag_ids' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/tags"
payload := strings.NewReader("{\n \"tag_ids\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.enad.io/api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/tags")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tag_ids\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tag_ids\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"additions": {},
"address": {
"city": "<string>",
"country": "<string>",
"country_code": "<string>",
"street": "<string>",
"zip_code": "<string>"
},
"address_restrictions": [
{
"address_id": "<string>",
"formatted_address": "<string>",
"organisation_id": "<string>",
"organisation_name": "<string>",
"organisation_number": "<string>"
}
],
"app_id": "<string>",
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"comment": "<string>",
"communication_preferences": {
"allow_email": true,
"allow_postal": true,
"allow_sms": true
},
"created_at": "<string>",
"customer_groups": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
],
"email": "<string>",
"email_verification_sent_at": "<string>",
"email_verified": true,
"id": "<string>",
"is_super_admin": true,
"language": "<string>",
"market": "<string>",
"name": "<string>",
"organisations": [
{
"custom_role_id": "<string>",
"custom_role_name": "<string>",
"custom_role_slug": "<string>",
"id": "<string>",
"level": "<string>",
"name": "<string>",
"organisation_number": "<string>"
}
],
"phone_number": "<string>",
"status": "<string>",
"store_group": "<string>",
"surname": "<string>",
"tags": [
{
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"created_at": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"markets": [
{
"active": true,
"country_codes": [
"<string>"
],
"created_at": "<string>",
"currency_code": "<string>",
"id": "<string>",
"locale": "<string>",
"name": "<string>",
"slug": "<string>",
"updated_at": "<string>"
}
],
"name": "<string>",
"schedules": [
{
"add_category_names": [
"<string>"
],
"add_collection_names": [
"<string>"
],
"add_tag_names": [
"<string>"
],
"execute_at": "<string>",
"finished_at": "<string>",
"group_id": "<string>",
"id": "<string>",
"item_id": "<string>",
"item_name": "<string>",
"item_type": "<string>",
"remove_category_names": [
"<string>"
],
"remove_collection_names": [
"<string>"
],
"remove_tag_names": [
"<string>"
],
"to_amount_cents_with_tax": 123,
"to_market_id": "<string>",
"to_market_status": "<string>",
"to_on_sale": true,
"to_sale_amount_cents_with_tax": 123,
"to_start_sale_timestamp": "<string>",
"to_status": "<string>",
"to_stop_sale_timestamp": "<string>",
"to_store_group_id": "<string>"
}
],
"status": "<string>",
"translations": {
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>"
}
],
"third_party_sign_up": true,
"updated_at": "<string>"
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}